Subject: Re: git clone dies (large git repository)

From: Jakub Narebski <[email-masked]>
Date: Sat, 19 Aug 2006 12:58:22 +0200

Troy Telford wrote:

> I originally had everything as loose objects.  I then ran 'git-repack -d'  
> on occasion, so I had a combination of a large pack file, smaller pack  
> files, and loose objects.  Finally, I tried 'git repack -a -d' and  
> consolidated it all into a single 4GB pack file.  It didn't seem to make  
> much difference in the output.
> 
> Am I bumping some sort of limitation within git, or have I uncovered
> a bug? 

You _might_ have bumped into filesystem limit on file size, or system limit
on mmap size.

IIRC it was to be addressed (splitting packs into manageable hunks).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git